Dpkg(3)

NAME
Dpkg - module with core variables

DESCRIPTION
The Dpkg module provides a set of variables with information concerning this system installation.

VARIABLES

$Dpkg::PROGNAME
    Contains the name of the current program.

$Dpkg::PROGVERSION
    Contains the version of the dpkg suite.

$Dpkg::CONFDIR
    Contains the path to the dpkg system configuration directory.

$Dpkg::ADMINDIR
    Contains the path to the dpkg database directory.

$Dpkg::LIBDIR
    Contains the path to the dpkg methods and plugins directory.

$Dpkg::DATADIR
    Contains the path to the dpkg architecture tables directory.

CHANGES

  Version 1.01 (dpkg 1.17.0)
New variables: $PROGNAME, $PROGVERSION, $CONFDIR, $ADMINDIR, $LIBDIR and $DATADIR.

Deprecated variables: $version, $admindir, $dpkglibdir and $pkgdatadir.

  Version 1.00 (dpkg 1.15.6)
Mark the module as public.